<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/performance/wh/P0000013_update_deliveries" xml:lang="en">
   <Header>
      <Title>Update deliveries</Title>
      <Keyword type="header" order="d1e1099015">
         <Level1>Valid for LN FP0, FP1, FP2, FP3, FP4, FP5, FP6, 10, 10.2</Level1>
         <Level2>update deliveries</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1099020">
         <Level1>Automatic receipt</Level1>
         <Level2>create</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1099025">
         <Level1>Receipt</Level1>
         <Level2>create automatic</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1099030">
         <Level1>Initiate</Level1>
         <Level2>automatic receipt</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1099035">
         <Level1>Effect on CPU</Level1>
         <Level2>using lots and serials</Level2>
      </Keyword>
   </Header>
   <GeneralSection>
      <Paragraph>In the course of the delivery process, <GUIRef href="/baanerp/wh" role="package">Warehousing</GUIRef> updates
		a sales order several times.</Paragraph>
      <Paragraph>To carry out these updates directly, in the <Link href="/baanerp/wh/inh/whinh0100m000#whinh000.upsd" role="formfield">Update Deliveries</Link> field of the <GUIRef href="/baanerp/wh/inh/whinh0100m000" role="session">Inventory Handling Parameters (whinh0100m000)</GUIRef> session, select <GUIRef href="/baanerp/wh/domains/inh.upsd#direct" role="option">Direct</GUIRef>.</Paragraph>
      <Paragraph>Select <GUIRef href="/baanerp/wh/domains/inh.upsd#decoupled" role="option">Decoupled</GUIRef> to split up the process of confirming a shipment
		line and updating the originating sales order into two separate processes and
		thus save performance. This is because the table behind the <GUIRef href="/baanerp/wh/inh/whinh4139m000" role="session">Deliveries (whinh4139m000)</GUIRef> session is much smaller than its counterpart of the <GUIRef href="/baanerp/wh/inh/whinh4131m000" role="session">Shipment Lines (whinh4131m000)</GUIRef> session. Consequently, only a small process table with
		a limited number of records is queried instead of the much larger shipment
		lines table.</Paragraph>
      <Paragraph>To enhance system performance even further, select <GUIRef href="/baanerp/wh/domains/inh.upsd#batch" role="option">Batch</GUIRef>.
		This option allows you to carry out these updates in a batch process in the
		quiet hours, thus reducing the risk of locking problems.</Paragraph>
      <GeneralSection>
         <SectionTitle>Performance aspects</SectionTitle>
         <List>
            <ListItem>Effect on CPU: Yes</ListItem>
            <ListItem>Effect on database growth: Not applicable</ListItem>
         </List>
      </GeneralSection>
   </GeneralSection>
</ManualTopic>